import { FileMeta } from "../display_files/useDisplayFile";
import React from "react";
interface Props {
    collectionId: string;
    type: string;
    newObjectTemplate?: any;
    fileReferences?: FileMeta[];
}
export declare let colors: DisplayDataColors;
export interface DisplayDataColors {
    primary: string;
    primary_variant: string;
    secondary: string;
    secondary_variant: string;
    backGround: string;
    surface: string;
    error: string;
    warning: string;
    warning_variant: string;
    onPrimary: string;
    onSecondary: string;
    onBackGround: string;
    onSurface: string;
    onError: string;
    onWarning: string;
}
export declare const wrapperStyling: React.CSSProperties;
export declare const labelStyling: React.CSSProperties;
export declare const inputStyling: React.CSSProperties;
export declare const initilizeDataDisplayColors: (newColors: DisplayDataColors) => void;
export declare const DisplayCollectionContent: ({ collectionId, type, newObjectTemplate, fileReferences }: Props) => JSX.Element;
export {};
